---
title: DeviceOrientationEvent.absolute
slug: Web/API/DeviceOrientationEvent/absolute
tags:
  - API
  - Device Orientation API
  - DeviceOrientationEvent
  - NeedsExample
  - NeedsMarkupWork
  - Property
  - Reference
---
<p>{{ apiref("Device Orientation Events") }}</p>

<p>Indicates whether or not the device is providing orientation data absolutely (that is, in reference to the Earth's coordinate frame) or using some arbitrary frame determined by the device. See <a href="/en/DOM/Orientation_and_motion_data_explained" title="Orientation and motion data explained">Orientation and motion data explained</a> for details.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var absolute = <em>instanceOfDeviceOrientationEvent</em>.absolute;
</pre>

<p>On return, <em><code>absolute</code></em> is <code>true</code> if the orientation data in <code>instanceOfDeviceOrientationEvent</code> is provided as the difference between the Earth's coordinate frame and the device's coordinate frame, or <code>false</code> if the orientation data is being provided in reference to some arbitrary, device-determined coordinate frame.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Device Orientation')}}</td>
   <td>{{Spec2('Device Orientation')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DeviceOrientationEvent.absolute")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("DeviceOrientationEvent") }}</li>
 <li><a href="/en/Detecting_device_orientation" title="Detecting device orientation">Detecting device orientation</a></li>
 <li><a href="/en/DOM/Orientation_and_motion_data_explained" title="Orientation and motion data explained">Orientation and motion data explained</a></li>
 <li>{{ domxref("window.ondeviceorientation") }}</li>
 <li>{{ event("deviceorientation") }}</li>
</ul>
